Bug 96283 - [r128] Segfault when starting Xorg
Summary: [r128] Segfault when starting Xorg
Status: RESOLVED MOVED
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/rage128 (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: highest blocker
Assignee: Xorg Project Team
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-05-31 00:36 UTC by hhpkoop
Modified: 2018-08-10 20:50 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
Xorg log (38.93 KB, text/plain)
2016-05-31 00:37 UTC, hhpkoop
no flags Details
Xorg log file of the r128 driver crash on ThinkPad A20P (36.36 KB, text/plain)
2017-03-21 19:53 UTC, roderik
no flags Details
Xorg configuration used (3.05 KB, text/plain)
2017-03-21 19:55 UTC, roderik
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description hhpkoop 2016-05-31 00:36:49 UTC

    
Comment 1 hhpkoop 2016-05-31 00:37:31 UTC
Created attachment 124199 [details]
Xorg log
Comment 2 hhpkoop 2016-05-31 00:39:56 UTC
Distro: Arch Linux
Kernel: 4.4.11-1-lts
Xorg: 1.18.3-1
xf86-video-r128 6.10.1-1
IBM Laptop: ThinkPad A21p
Comment 3 hhpkoop 2016-05-31 00:59:45 UTC
Also the system becomes completely unusable, it affects even the ttys, I can barely see the text. After reboot the screen stays black and white until I completely turn it off.
Comment 4 hhpkoop 2016-05-31 01:03:01 UTC
Also the system becomes completely unusable, it affects even the ttys, I can barely see the text. After reboot the screen stays black and white until I completely turn it off.
Comment 5 hhpkoop 2016-05-31 01:04:10 UTC
I can avoid the segfaults with configs, but that don't make me see the window manager.
Comment 6 Connor Behan 2016-07-28 19:39:58 UTC
Uh oh. I assume 6.9.2 was ok? What are the configs that prevent the segfault? Also, does the segfault go away if you keep the old configs but only use the internal panel?
Comment 7 roderik 2017-03-21 19:53:56 UTC
Created attachment 130358 [details]
Xorg log file of the r128 driver crash on ThinkPad A20P
Comment 8 roderik 2017-03-21 19:55:16 UTC
Created attachment 130361 [details]
Xorg configuration used
Comment 9 roderik 2017-03-21 19:55:35 UTC
I ran into the same issue 

Distro: Slackware 14.2
Kernel: 4.4.13
Xorg: 1.18.3
xf86-video-r128 6.10.2
IBM Laptop: ThinkPad A20p
GPU: Rage Mobility 128 AGP 2X/Mobility M3 (rev 02)

I attached my Xorg config and Xorg log for details.

After the driver crashed the image on the screen became monochrome, and unreadable. After powering the unit off everything reverts back to normal.
Comment 10 Connor Behan 2017-03-21 22:11:46 UTC
The line jumping out at me from the log is the DRI failure because it needs 17325kB of memory. Was this line always there even in working instances from before? If not, it may be that the new driver is defaulting to a larger screen size and you need to change it.
Comment 11 roderik 2017-03-22 17:21:56 UTC
I fixed the static buffer overflow by forcing the resolution down to 800×600 despite having a 1400×1050 monitor. I also disabled acceleration to be safe and have DRI causing no potential problems.

Xorg now starts succesfully but the screen is still black and showing all symptons as stated above.
Comment 12 roderik 2017-03-22 17:28:26 UTC
> Was this line always there even in working instances from before?

The driver never worked, before I always used the VESA driver which is extremely slow.
Comment 13 Connor Behan 2017-03-22 17:58:59 UTC
(In reply to roderik from comment #12)
> > Was this line always there even in working instances from before?
> 
> The driver never worked, before I always used the VESA driver which is
> extremely slow.

If all the times you tried were after 2014, you might want to compile commit 4efc87f41d770c753ddf7f54fe334b6dbd7daf79 to see if randr was the problem. And when you say you disabled acceleration, I assume you mean the 2D and 3D part (setting "NoAccel" to "true") so that we can rule out EXA as the problem.
Comment 14 GitLab Migration User 2018-08-10 20:50:46 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/xorg/driver/xf86-video-r128/issues/10.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.